#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif

%{?sle15_python_module_pythons}
Name:           python-WSGIProxy2%{psuffix}
Version:        0.5.1
Release:        3.7
Summary:        WSGI Proxy Implementation
License:        MIT
URL:            https://github.com/gawel/WSGIProxy2/
Source:         https://files.pythonhosted.org/packages/source/W/WSGIProxy2/WSGIProxy2-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-WebOb
Requires:       python-requests
Requires:       python-urllib3
Conflicts:      python-WSGIProxy
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module WebOb}
BuildRequires:  %{python_module WebTest}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module urllib3}
%endif
%python_subpackages

%description
Proxy support for WebOb or classic WSGI applications

%prep
%setup -q -n WSGIProxy2-%{version}

%build
%python_build

%install
%if !%{with test}
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%check
%if %{with test}
# test_quoted_utf8_url: randomly fails
%pytest -k 'not test_quoted_utf8_url'
%endif

%if !%{with test}
%files %{python_files}
%license COPYING
%doc CHANGES.rst README.rst
%{python_sitelib}/*
%endif

%changelog
* Tue May  9 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Fri Oct 14 2022 pgajdos@suse.com
- python-six is not required
* Mon Aug 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 0.5.1:
  * remove stale dep on six
  * use github actions as CI
- Update to 0.5.0:
  * Drop support for python3.6 and bellow
* Thu Oct 31 2019 Tomáš Chvátal <tchvatal@suse.com>
- Switch to pytest and skip one failing test
* Wed Mar  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.6:
  * PATCH added into (default) list of allowed methods
  * Allow to use URIs with no path
  * Clean up connection before returning result. This removes some ResourceWarnings when testing
- Add multibuild to enable tests without cycle dependencies
- Add missing requirements found by tests
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun May  7 2017 toddrme2178@gmail.com
- Source URL must be https.
* Mon May  1 2017 toddrme2178@gmail.com
- Update to version 0.4.3
  * Add OPTIONS to defaults allowed methods
  * Drop restkit support
  * Drop py26 support
- Implement single-spec version
- Fix source URL.
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 0.4.2:
  * Undo webob's unquoting to handle paths with percent quoted utf8
    characters [Laurence Rowe]
* Mon Jan 13 2014 dmueller@suse.com
- update to 0.4.1:
  * fix tests.
  * change the way requests iter response
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Sep 25 2013 p.drouand@gmail.com
- Update to version 0.3
  + Make allowed_methods check optional
* Thu May  2 2013 speilicke@suse.com
- Conflict with python-WSGIProxy
* Mon Apr 29 2013 speilicke@suse.com
- Add README.rst
* Mon Apr 29 2013 dmueller@suse.com
- Initial package (0.1)
